Skip to navigation

Update Organization Secure Vault Folder

Renames an Organization Secure Vault folder and updates its description. The system-managed “Other Files” folder cannot be modified.

Token scopes: organizations:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

folder_idstringRequiredformat: "uuid"
Public UUID of the folder.

Request

This endpoint expects an object.
dataobjectRequired
Fields to update on the folder.

Response

Folder updated successfully.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error